document.addEventListener("deviceready", onIndexReady, false);
function onIndexReady() {    
    
    navigator.geolocation.getCurrentPosition(onSuccess, onError);
    var db = window.sqlitePlugin.openDatabase({name: "mototappsi.db"});
    db.transaction(function(tx) {
        tx.executeSql('SELECT * FROM usuario',[], function(tx, res) {                        
            if (res != null && res.rows != null) {
                for (var i = 0; i < res.rows.length; i++) {                    
                    var row = res.rows.item(i);                                                 
                    $("#usercc").val(row.cc);                    
                    $("#ciudad").val(row.ciudad);                    
                }
            }            
        });                                  
    });
}
var marker;
var map;
function onSuccess(position) {
    navigator.vibrate([500]);
    
    $("#cargandoDiv").hide();
    $("#lon").val(position.coords.longitude);
    $("#lat").val(position.coords.latitude);
    
    map = new google.maps.Map(document.getElementById('map-canvas'), {
        zoom: 16,
        center: {lat: position.coords.latitude, lng: position.coords.longitude}
      }); 
    marker = new google.maps.Marker({
        position: {lat: position.coords.latitude, lng: position.coords.longitude},
        map: map,
        animation: google.maps.Animation.DROP,
        title: 'Aqui Estoy...'
    });
    marker.setAnimation(google.maps.Animation.BOUNCE);
    google.maps.event.addListener(marker, 'click', toggleBounce);   
    verificaSincro();
}

function toggleBounce() {
  if (marker.getAnimation() != null) {
    marker.setAnimation(null);
  } else {
    marker.setAnimation(google.maps.Animation.BOUNCE);
  }
}

function onError(error) {
    alert('code: '    + error.code    + '\n' +
          'message: ' + error.message + '\n');
}

function recogemeaqui()
{
    if($("#usercc").val()=="")
    {
        navigator.notification.alert(
            "NO has configurado una cuenta en la aplicacion para poder pedir un mototappsi debes registrarte",  // message
            redirectRegister,
            'MotoTappsi',            // title
            'Aceptar'                  // buttonName
        );
    }
    else
    {
        if($("#lon").val()==""||$("#lat").val()=="")
        {
            navigator.notification.alert(
                "NO hemos ubicado tu posicion la cual es necesaria para prestarte un buen servicio, por favor espera a que te ubiquemos",  // message
                null,
                'MotoTappsi',            // title
                'Aceptar'                  // buttonName
            ); 
        }
        else
        {        
            if($("#dir").val()=="")
            {
                navigator.notification.alert(
                    "Debes indicar tu direccion para poder ubicarte mas facilmente",  // message
                    null,
                    'MotoTappsi',            // title
                    'Aceptar'                  // buttonName
                ); 
            }
            else
            {                
                $.ajax({
                    type: 'POST',
                    url: dirUrlServices+"setSolicitud",
                    headers: {
                        "user":"m0t0t4pps1",
                        "pass":"m0t0t4pps1"
                    },
                    data: {"cc":$("#usercc").val(), "lon":$("#lon").val(), "lat":$("#lat").val(),"ciudad":$("#ciudad").val(), "direccion":$("#dir").val()}

                }).done(function(data) {             
                    //data = JSON.parse(data);    
                        navigator.notification.alert(
                            data.message,  // message
                            null,
                            'MotoTappsi',            // title
                            'Aceptar'                  // buttonName
                        ); 
                        location.href = "esperar.html?cc="+$("#usercc").val();
                });
            }
            
        }
    }
    
}

function redirectRegister()
{
    location.href = "micuenta.html";
}

function verificaSincro()
{
    Verificar_Sincronizacion();
    //t1=setTimeout(function(){verificaSincro()},5000);
}

function Verificar_Sincronizacion()
{
    $.ajax({
        type: 'POST',
        url: dirUrlServices+"getSolicitudContestada",
        headers: {
            "user":"m0t0t4pps1",
            "pass":"m0t0t4pps1"
        },
        data: {"cc":$("#usercc").val()}
        //OR
        //beforeSend: function(xhr) { 
        //  xhr.setRequestHeader("My-First-Header", "first value"); 
        //  xhr.setRequestHeader("My-Second-Header", "second value"); 
        //}
    }).done(function(data) { 
        data = JSON.parse(data);                            
        if(data.status==1)
        {            
            $("#moto").val(data[0].idmoto);
            $("#idsol").val(data[0].id);
            navigator.vibrate([500]);
            navigator.notification.alert(
                "Tenias un servicio pendiente",  // message
                redirectEsperar,
                'MotoTappsi',            // title
                'Conoce tu MotoTappsi'                  // buttonName
            );
        }
        else
        {            
            verificaSincro();
        }
    });
}

function redirectEsperar()
{    
    location.href = "detalle.html?idmoto="+$("#moto").val()+"&idsol="+$("#idsol").val();
}